Bug 106245 - (3ware) kernel 2.4.20-20.9 hangs when doing scsi hot add and remove when using the /proc/scsi/scsi interface
(3ware) kernel 2.4.20-20.9 hangs when doing scsi hot add and remove when usin...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 18:41 EDT by Don Jessup
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Jessup 2003-10-03 18:41:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When using the /proc/scsi/scsi interface to do continous hot add and
  remove on 3 Western Digital SATA disk attached to a 3ware 8506 card 
 on a dual hyperthreaded Xeon system with 1G of ram the system will
 lock up.  Sometimes it will do it after 10 minutes sometimes it may
  take 3 or 4 hours.  

  Here is an example of commands I'm talking about.  
    echo "scsi remove-single-device 3 0 1 0"  > /proc/scsi/scsi
    echo "scsi remove-single-device 3 0 5 0"  > /proc/scsi/scsi
    echo "scsi remove-single-device 3 0 7 0"  > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 1 0" > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 5 0" > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 5 0" > /proc/scsi/scsi

   The problem can not reproduced if the kernel is running in UP 
  mode as opposed to SMP. 

  
  

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.9

How reproducible:
Always

Steps to Reproduce:
Run a shell script that
1. removes 3 scsi disk and then add  3 scsi disk. Using the following
   commands:
       echo "scsi remove-single-device 3 0 1 0"  > /proc/scsi/scsi
    echo "scsi remove-single-device 3 0 5 0"  > /proc/scsi/scsi
    echo "scsi remove-single-device 3 0 7 0"  > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 1 0" > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 5 0" > /proc/scsi/scsi
    echo "scsi add-single-device 3 0 5 0" > /proc/scsi/scsi    
2. sleeps for a second   
3. then repeats step 1.  
    

Actual Results:  
  The system will hang after a time ( anywhere from a few minutes to 4 hours )

Expected Results:   The system should not hang.

Additional info:

 
  The system just hangs with no error messages.   Here is last few
  lines of /var/log/messages. 

Oct  3 15:06:12 beowulf kernel: scsi singledevice 2 0 7 0
Oct  3 15:06:12 beowulf kernel:   Vendor: 3ware     Model: Logical Disk 7   
Rev: 1.0
Oct  3 15:06:12 beowulf kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Oct  3 15:06:12 beowulf kernel: Attached scsi disk sdc at scsi2, channel 0, id
7, lun 0
Oct  3 15:06:12 beowulf kernel: SCSI device sdc: 488397168 512-byte hdwr sectors
(250059 MB)
Oct  3 15:06:12 beowulf kernel:  sdc: sdc1
Comment 1 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.